package org.openbravo.base.cxf.examples.gen;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.3.2
 * 2019-05-24T11:47:52.577+02:00
 * Generated source version: 3.3.2
 *
 */
@WebService(targetNamespace = "http://examples.cxf.base.openbravo.org/", name = "Calculator")
@XmlSeeAlso({ObjectFactory.class})
public interface Calculator {

    @WebMethod
    @RequestWrapper(localName = "sum", targetNamespace = "http://examples.cxf.base.openbravo.org/", className = "org.openbravo.base.cxf.examples.gen.Sum")
    @ResponseWrapper(localName = "sumResponse", targetNamespace = "http://examples.cxf.base.openbravo.org/", className = "org.openbravo.base.cxf.examples.gen.SumResponse")
    @WebResult(name = "return", targetNamespace = "")
    public int sum(

        @WebParam(name = "sum1", targetNamespace = "")
        int sum1,
        @WebParam(name = "sum2", targetNamespace = "")
        int sum2
    );

    @WebMethod
    @RequestWrapper(localName = "multiply", targetNamespace = "http://examples.cxf.base.openbravo.org/", className = "org.openbravo.base.cxf.examples.gen.Multiply")
    @ResponseWrapper(localName = "multiplyResponse", targetNamespace = "http://examples.cxf.base.openbravo.org/", className = "org.openbravo.base.cxf.examples.gen.MultiplyResponse")
    @WebResult(name = "return", targetNamespace = "")
    public int multiply(

        @WebParam(name = "mul1", targetNamespace = "")
        int mul1,
        @WebParam(name = "mul2", targetNamespace = "")
        int mul2
    );
}
